Bug 152434 - FILEOPEN:PPTX: Images not displayed
Summary: FILEOPEN:PPTX: Images not displayed
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.5.0.0 alpha1+
Hardware: All All
: high major
Assignee: Tibor Nagy (NISZ)
URL:
Whiteboard: target:7.6.0 target:7.5.0.0.beta2 tar...
Keywords: bibisected, bisected, regression
Depends on:
Blocks: PPTX-Images
  Show dependency treegraph
 
Reported: 2022-12-09 12:25 UTC by Xisco Faulí
Modified: 2023-01-24 10:36 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Comparsion MSO vs LibreOffice 7.5 (1.38 MB, image/png)
2022-12-09 12:25 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2022-12-09 12:25:16 UTC
Created attachment 184064 [details]
Comparsion MSO vs LibreOffice 7.5

Steps to reproduce:
1. Open attachment 98713 [details] from bug 78459

-> The first slide has no images

Reproduced in

Version: 7.5.0.0.beta1+ (X86_64) / LibreOffice Community
Build ID: f561cf425cda33fa1c688dac14be052e116ce0f6
CPU threads: 8; OS: Linux 5.10; UI render: default; VCL: gtk3
Locale: es-ES (es_ES.UTF-8); UI: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2022-12-09 12:26:30 UTC
Regression introduced by:

author	Tibor Nagy <nagy.tibor2@nisz.hu>	2022-10-24 09:36:54 +0200
committer	László Németh <nemeth@numbertext.org>	2022-10-27 20:23:18 +0200
commit eec48130271188cab63665acedbabf1ff5e850a2 (patch)
tree 91745f71dafd5a826e5ae27f5f6715c2a90cc5c4
parent 6e378b5beee473edc54c50550eff9e7d9eec57b5 (diff)
tdf#148926 tdf#151678 PPTX import: position of standard connector - part1

Bisected with: bibisect-linux64-7.5

Adding Cc: to Tibor Nagy
Comment 2 Commit Notification 2022-12-19 11:33:23 UTC
Tibor Nagy committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c3f1ec60569727d8aba50b2f59882e13a8443880

tdf#152434 PPTX import: fix lost shapes with connectors

It will be available in 7.6.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2022-12-19 19:58:40 UTC
Tibor Nagy committed a patch related to this issue.
It has been pushed to "libreoffice-7-5":

https://git.libreoffice.org/core/commit/d67b38039c672c8f88d2a668312dbcdbaea4297a

tdf#152434 PPTX import: fix lost shapes with connectors

It will be available in 7.5.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2022-12-20 09:20:31 UTC
Tibor Nagy committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/324f519b8ccf1a53c6d4e802241b157d774e9864

tdf#152434 PPTX import: fix lost shapes with connectors

It will be available in 7.4.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 NISZ LibreOffice Team 2022-12-21 10:36:43 UTC
Verified in:
Version: 7.6.0.0.alpha0+ (X86_64) / LibreOffice Community
Build ID: 7d948d5c7edbbfd29a77b97a5101aa43917e5ec2
CPU threads: 4; OS: Windows 10.0 Build 19044; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL threaded
Comment 6 Commit Notification 2022-12-26 10:38:35 UTC
Tibor Nagy committed a patch related to this issue.
It has been pushed to "libreoffice-7-4-4":

https://git.libreoffice.org/core/commit/28cc540d99f545a7871497a7228e57d17406d3ea

tdf#152434 PPTX import: fix lost shapes with connectors

It will be available in 7.4.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2023-01-24 10:36:24 UTC
7.4.5 was a hotfix release, updating target in status-whiteboard